Bullet Collision Detection & Physics Library: GIM_QUANTIZED_BVH_NODE_ARRAY Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

List of all members
GIM_QUANTIZED_BVH_NODE_ARRAY Class Reference

`#include <btGImpactQuantizedBvh.h>`

Inheritance diagram for GIM_QUANTIZED_BVH_NODE_ARRAY:
[legend]
Collaboration diagram for GIM_QUANTIZED_BVH_NODE_ARRAY:
[legend]

## Additional Inherited Members
Public Member Functions inherited from btAlignedObjectArray< BT_QUANTIZED_BVH_NODE >
btAlignedObjectArray< BT_QUANTIZED_BVH_NODE > & | operator= (const btAlignedObjectArray< BT_QUANTIZED_BVH_NODE > &other)
| btAlignedObjectArray ()
| btAlignedObjectArray (const btAlignedObjectArray &otherArray)
| Generally it is best to avoid using the copy constructor of an btAlignedObjectArray, and use a (const) reference to the array instead.
| ~btAlignedObjectArray ()
int | size () const
| return the number of elements in the array
const BT_QUANTIZED_BVH_NODE & | at (int n) const
BT_QUANTIZED_BVH_NODE & | at (int n)
const BT_QUANTIZED_BVH_NODE & | operator[] (int n) const
BT_QUANTIZED_BVH_NODE & | operator[] (int n)
void | clear ()
| clear the array, deallocated memory. Generally it is better to use array.resize(0), to reduce performance overhead of run-time memory (de)allocations.
void | pop_back ()
void | resizeNoInitialize (int newsize)
| resize changes the number of elements in the array.
void | resize (int newsize, const BT_QUANTIZED_BVH_NODE &fillData=BT_QUANTIZED_BVH_NODE())
BT_QUANTIZED_BVH_NODE & | expandNonInitializing ()
BT_QUANTIZED_BVH_NODE & | expand (const BT_QUANTIZED_BVH_NODE &fillValue=BT_QUANTIZED_BVH_NODE())
void | push_back (const BT_QUANTIZED_BVH_NODE &_Val)
int | capacity () const
| return the pre-allocated (reserved) elements, this is at least as large as the total number of elements,see size() and reserve()
void | reserve (int _Count)
void | quickSortInternal (const L &CompareFunc, int lo, int hi)
void | quickSort (const L &CompareFunc)
void | downHeap (BT_QUANTIZED_BVH_NODE *pArr, int k, int n, const L &CompareFunc)
| heap sort from http://www.csse.monash.edu.au/~lloyd/tildeAlgDS/Sort/Heap/
void | swap (int index0, int index1)
void | heapSort (const L &CompareFunc)
int | findBinarySearch (const BT_QUANTIZED_BVH_NODE &key) const
| non-recursive binary search, assumes sorted array
int | findLinearSearch (const BT_QUANTIZED_BVH_NODE &key) const
int | findLinearSearch2 (const BT_QUANTIZED_BVH_NODE &key) const
void | removeAtIndex (int index)
void | remove (const BT_QUANTIZED_BVH_NODE &key)
void | initializeFromBuffer (void *buffer, int size, int capacity)
void | copyFromArray (const btAlignedObjectArray &otherArray)
Protected Member Functions inherited from btAlignedObjectArray< BT_QUANTIZED_BVH_NODE >
int | allocSize (int size)
void | copy (int start, int end, BT_QUANTIZED_BVH_NODE *dest) const
void | init ()
void | destroy (int first, int last)
void * | allocate (int size)
void | deallocate ()

## Detailed Description

Definition at line 31 of file btGImpactQuantizedBvh.h.

The documentation for this class was generated from the following file:

- btGImpactQuantizedBvh.h